Package org.apache.solr.client.solrj

# Enum Class SolrRequest.METHOD

java.lang.Object
java.lang.Enum<SolrRequest.METHOD>
org.apache.solr.client.solrj.SolrRequest.METHOD

All Implemented Interfaces:
  `Serializable`, `Comparable<SolrRequest.METHOD>`, `java.lang.constant.Constable`

Enclosing class:
  `SolrRequest<T>`

public static enum SolrRequest.METHOD extends Enum<SolrRequest.METHOD>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DELETE`
`GET`
`HEAD`
`POST`
`PUT`

## Method Summary

Modifier and Type
Method
Description
`static SolrRequest.METHOD`
`fromString(String methodStr)`
Returns the METHOD enum value matching the provided string, or 'null' if no match is found.
`static SolrRequest.METHOD`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SolrRequest.METHOD[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### GET

public static final SolrRequest.METHOD GET

### HEAD

public static final SolrRequest.METHOD HEAD

### POST

public static final SolrRequest.METHOD POST

### PUT

public static final SolrRequest.METHOD PUT

### DELETE

public static final SolrRequest.METHOD DELETE

## Method Details

### values

public static SolrRequest.METHOD[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SolrRequest.METHOD valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromString

public static SolrRequest.METHOD fromString(String methodStr)
Returns the METHOD enum value matching the provided string, or 'null' if no match is found.